Remove shell command
Terminate and remove one shell command and its retained output.
DELETE
/api/shell/{id}Path parameters
idobjectrequiredQuery parameters
locationobject | anyResponses
204<No Content>
400InvalidRequestError
_tagstringrequiredAllowed:
InvalidRequestErrormessagestringrequiredkindstring | anyShow propertiesHide properties
Any of:
string
stringany
anyfieldstring | anyShow propertiesHide properties
Any of:
string
stringany
any401UnauthorizedError
_tagstringrequiredAllowed:
UnauthorizedErrormessagestringrequired404ShellNotFoundError
_tagstringrequiredAllowed:
ShellNotFoundErroridstringrequiredmessagestringrequiredRequest
curl -X DELETE "/api/shell/%5Bobject%20Object%5D"const response = await fetch("/api/shell/%5Bobject%20Object%5D", {
method: "DELETE"
});import requests
response = requests.delete(
"/api/shell/%5Bobject%20Object%5D",
)Response
<No Content>
{
"_tag": "InvalidRequestError",
"message": "string",
"kind": "string",
"field": "string"
}{
"_tag": "UnauthorizedError",
"message": "string"
}{
"_tag": "ShellNotFoundError",
"id": "string",
"message": "string"
}